https://pulumi.com logo
#python
Title
# python
f

fancy-eve-82724

11/09/2021, 1:18 PM
Is there a way to override the path to python3 in Pulumi.yaml? I'm working on CentOS 8 which has a default python 3.6. I've installed python 3.8 as a separate package. I can swap the default python3 interpreter using
alternatives
but I may prefer to leave that be, and just use python 3.8 with Pulumi. There's the directive in Pulumi.yaml to specify the virtualenv directory, but is there are directive for specifying which interpreter to use?
Copy code
2 runtime:
  3   name: python
  4   options:
  5     virtualenv: venv
g

gorgeous-minister-41131

11/09/2021, 2:35 PM
As you described,
$PULUMI_PYTHON_CMD
works. Also Might I consider suggesting looking into pipenv to see if it also helps with any of your other needs which may arise due to various python/virtualenv versions? We use it for our pulumi python projects, since it’s pretty straightforward to
pipenv shell
and start using pulumi inside the venv scope thereafter. https://pipenv.kennethreitz.org/en/latest/